This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1255025 - Incosistent naming for fields and measurements in Ad Hoc reports
Incosistent naming for fields and measurements in Ad Hoc reports
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-reports (Show other bugs)
3.6.0
All All
unspecified Severity low
: ovirt-3.6.2
: 3.6.2
Assigned To: Shirly Radco
Lukas Svaty
reports
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-19 09:02 EDT by Lukas Svaty
Modified: 2016-02-10 14:19 EST (History)
9 users (show)

See Also:
Fixed In Version: rhevm-reports-3.6.2.3-2.el6ev
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-13 10:42:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Reports
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshots of incosistent labeling (62.93 KB, application/zip)
2015-08-19 09:04 EDT, Lukas Svaty
no flags Details

  None (edit)
Description Lukas Svaty 2015-08-19 09:02:00 EDT
Description of problem:
In Ad Hoc reports naming for measurements and fields are incosistent
Examples:

Version-Release number of selected component (if applicable):
rhevm-reports-3.6.0-0.4.el6ev.noarch


Steps to Reproduce:
1. Create a custom reports either of Virtual Machine or Host data
2. see fields and measurements naming conventions

Actual results:
Change of naming conversion in different fields.

Expected results:
All The Titles Of Measurements And Fields Words Should Start With Capital Letter.

Additional info:
See screenshots
Comment 1 Lukas Svaty 2015-08-19 09:04:07 EDT
Created attachment 1064841 [details]
Screenshots of incosistent labeling
Comment 2 Yaniv Lavi (Dary) 2015-08-25 03:53:46 EDT
Please explain the issue again. I do not understand it from the description.
Comment 3 Lukas Svaty 2015-09-02 03:17:14 EDT
See attached screenshots of labels in custom reports:

Every word should start with capital letter, however some labels doesn't go with this convention.

Current Label               -> Should be fixed to:

User create date            ->   User Create Date
User update date            ->   User Update Date
User delete date            ->   User Delete Date
Default Host Memory Size Mb ->   Default Host Memory Size MB
Is local storage?           ->   Is Local Storage?
Host interface Bond Name    ->   Host Interface Bond Name
Vm Disk Interface           ->  VM Disk Interface
Comment 4 Eyal Edri 2015-12-17 08:57:29 EST
RHEV 3.6.0 BETA2 is out, any open bugs are moved to the BETA3 milestone.
Comment 5 Pavel Stehlik 2016-01-13 10:42:24 EST
Closing old bugs. In case still happens, pls reopen.

Note You need to log in before you can comment on or make changes to this bug.